summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xdeployment/funcs_jnlp_relocate.sh24
-rwxr-xr-xhudson-builds/test_something.sh12
2 files changed, 36 insertions, 0 deletions
diff --git a/deployment/funcs_jnlp_relocate.sh b/deployment/funcs_jnlp_relocate.sh
index b4dabb3..e2d08a2 100755
--- a/deployment/funcs_jnlp_relocate.sh
+++ b/deployment/funcs_jnlp_relocate.sh
@@ -42,3 +42,27 @@ for j in $jnlpdir/*.jnlp ; do
done
}
+
+function remove_security_tag_jnlps() {
+
+wsdir=$1
+shift
+
+if [ -z "$wsdir" ] ; then
+ echo usage $0 webstartdir
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+cd $wsdir
+
+for i in *.jnlp ; do
+ sed -i -e 's/<security>//g' -e 's/<\/security>//g' -e 's/<all-permissions\/>//g' $i
+done
+
+}
+
diff --git a/hudson-builds/test_something.sh b/hudson-builds/test_something.sh
new file mode 100755
index 0000000..7f20781
--- /dev/null
+++ b/hudson-builds/test_something.sh
@@ -0,0 +1,12 @@
+#! /bin/bash
+
+wsdir=/srv/www/jogamp.org/deployment/archive/gluegen_195-jogl_203-jocl_200
+url=http://jogamp.org/deployment/archive/gluegen_195-jogl_203-jocl_200
+
+sdir=`dirname $0`
+
+. $sdir/../deployment/funcs_jnlp_relocate.sh
+
+copy_relocate_jnlps $url $wsdir
+remove_security_tag_jnlps $wsdir
+